module PropertyTGroups

using AbstractAlgebra
using Nemo
using Groups

export PropertyTGroup, SymmetrizedGroup, GAPGroup

abstract type PropertyTGroup end

abstract type SymmetrizedGroup <: PropertyTGroup end

abstract type GAPGroup <: PropertyTGroup end

include("autfreegroup.jl")
include("speciallinear.jl")

Comm(x,y) = x*y*x^-1*y^-1

generatingset(G::GAPGroup) = gens(group(G))

include("mappingclassgroup.jl")
include("higman.jl")
include("caprace.jl")

end # of module PropertyTGroups
